using System;
using System.Globalization;
using System.Windows.Data;

namespace WpfApplication
{
   public enum Types
   {
      ONE,
      TWO,
      THREE
   }

   public class EnumToBoolConverter : IValueConverter
   {
      public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
      {
         if (parameter.Equals(value))
            return true;
         else
            return false;
      }
      public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
      {
         return parameter;
      }
   }


   public class ShellViewModel : Caliburn.Micro.PropertyChangedBase, IShell
   {
      private Types _type;

      public Types Type
      {
         get { return _type; }
         set { _type = value; NotifyOfPropertyChange(() => Type); }
      }

      public ShellViewModel()
      {
         Type = Types.ONE;
      }

      public void onechecked()
      {
         Type = Types.ONE;
      }

      public void twochecked()
      {
         Type = Types.TWO;
      }

      public void threechecked()
      {
         Type = Types.THREE;
      }
   }
}
